:root {
  --primary-btn: #f82c56;
  --presssed-state: #ec1540;
  --dark-background: #0e0f12;
  --element-background: #151821;
  --grey-border-color: #2a2f3a;
  --grey: #aeb3be;
  --text: #e7e7e7;
  --blue: #4dd2ff;
  --white: #ffffff;
  --modal: rgba(46, 47, 66, 0.6);
}

body {
  font-family: 'Onest', sans-serif;
  color: var(--text);
  background: var(--dark-background);
  margin: 0;
}
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0;
}

ul {
  list-style-type: none;
  margin-top: 0;
  margin-bottom: 0;
  padding-left: 0;
}
img {
  display: block;
  max-width: 100%;
}
.link {
  text-decoration: none;
}
.list {
  list-style: none;
}

.container {
  max-width: 320px;
  margin: 0 auto;
  padding: 0 20px;
}

.btn {
  border: none;
  cursor: pointer;
}

/*------------HEADER-----------*/
.header-container {
  padding-top: 20px;
  padding-bottom: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-nav {
  display: flex;
  justify-content: space-between;
}

.nav-list {
  display: none;
}

.header-text {
  color: var(--text);
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--blue);
  }
}

.logo {
  text-transform: uppercase;
  font-weight: 900;
  font-size: 18px;
  color: var(--text);
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--blue);
  }
}

.menu-open-btn {
  border: none;
  background-color: var(--dark-background);
  color: var(--white);
  font-size: 40px;
  font-weight: 700;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--blue);
  }
}

.mob-menu {
  position: fixed;
  width: 100%;
  height: 100%;
  background: var(--dark-background);
  top: 0;
  transition:
    opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
  padding-left: 36px;
  padding-top: 70px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  z-index: 20;
}

.menu-close-btn {
  position: absolute;
  top: 24px;
  right: 64px;
  font-size: 20px;
  font-weight: 600;
  width: 24px;
  height: 24px;
  border: 1px solid var(--text);
  border-radius: 50%;
  background-color: var(--grey);
  display: flex;
  justify-content: center;
  align-items: center;
}

.mob-menu-list {
  display: flex;
  gap: 28px;
  flex-direction: column;
}

.mob-menu-text {
  color: var(--white);
  font-size: 26px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.02em;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--blue);
  }
}

.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

/*------------BODY-----------*/

/*------------HERO-----------*/
.hero {
  padding: 70px 0 50px;
  background: url('../images/hero.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-size: 32px;
  line-height: 1.07;
  letter-spacing: 0.02em;
  margin-bottom: 20px;
}

.hero-text {
  font-size: 14px;
  line-height: 1.3;
  letter-spacing: 0.02em;
}

.space {
  margin-top: 20px;
  margin-bottom: 14px;
}

.hero-span {
  color: var(--blue);
}

.hero-btn {
  background-color: #feed49;
  border-radius: 10px;
  text-transform: uppercase;
  padding: 14px;
  line-height: 1.07;
  letter-spacing: 0.02em;
  font-weight: 700;
  font-size: 14px;
  margin-top: 24px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--white);
    background-color: var(--presssed-state);
  }
}

/*------------CONCERTS-----------*/
.concerts {
  padding: 50px 0 80px;
}

.concerts-wrapper {
  background-color: var(--element-background);
  border-radius: 12px;
  margin: 0 10px;
  overflow: hidden;
  border: 1px solid var(--grey-border-color);
}

.concerts-title {
  font-weight: 700;
  font-size: 22px;
  padding: 18px;
}

/*------------MEMBERS-----------*/
.members {
  padding-bottom: 40px;
}

.members-title {
  margin-bottom: 22px;
  text-align: center;
  font-size: 26px;
  font-weight: 700;
}

.members-list {
  display: flex;
  gap: 20px;
  justify-content: center;
}
.member {
  border-radius: 12px;
  & img {
    width: 280px;
  }
}
.members-name {
  padding: 14px 15px;
  background-color: var(--element-background);
  color: var(--grey);
}

/*------------ABOUT-----------*/

.about {
  background-color: #1c1318;
  background: linear-gradient(
    to top left,
    rgba(37, 20, 26, 0.7) 30%,
    rgba(19, 34, 41, 0.7) 70%
  );
  padding: 40px 0 32px;
}

.about-title {
  margin-bottom: 20px;
  font-weight: 700;
  font-size: 26px;
}

.about-start {
  display: flex;
  flex-direction: column;
}

.about-text {
  margin-bottom: 18px;
  font-size: 14px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}

.about-text-last {
  margin-bottom: 0;
}

.about-img {
  max-width: 100%;
  height: 100%;
  margin-bottom: 18px;
}

/*------------CONTACTS-----------*/

.contacts {
  background: linear-gradient(
    to bottom right,
    rgba(37, 20, 26, 0.7) 30%,
    rgba(19, 34, 41, 0.7) 70%
  );
  padding: 40px 0 36px;
}

.contacts-title {
  font-size: 26px;
  margin-bottom: 16px;
  text-align: center;
}

.contacts-text {
  text-align: center;
  font-size: 16px;
  margin-bottom: 20px;
  color: var(--grey);
}

.contacts-order {
  display: flex;
  flex-direction: column;
  gap: 32px;
  justify-content: space-between;
}

.contacts-form {
  display: flex;
  column-gap: 20px;
  row-gap: 16px;
  flex-direction: row;
  flex-wrap: wrap;
}

.contacts-reg-title {
  display: flex;
  flex-direction: column;
  width: calc((100% - 20px) / 2);
  gap: 6px;
  color: var(--grey);
  font-size: 14px;
}

.reg-textarea {
  width: 100%;
}

.contacts-reg-input {
  background-color: var(--element-background);
  border: 1px solid var(--grey-border-color);
  color: var(--text);
  border-radius: 10px;
  padding: 12px;
  font-family: inherit;
}

.contacts-reg-btn {
  background-color: var(--primary-btn);
  color: var(--text);
  border-radius: 10px;
  line-height: 1.07;
  letter-spacing: 0.02em;
  font-size: 14px;
  padding: 12px 24px;
  font-weight: 600;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--white);
    background-color: var(--presssed-state);
  }
}

.contacts-map {
  padding: 24px 12px 16px;
  background-color: var(--element-background);
  border: 1px solid var(--grey-border-color);
  border-radius: 14px;
}

.contacts-map-title {
  margin-bottom: 16px;
  font-size: 16px;
  font-weight: 600;
}

.contacts-map-card {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  cursor: pointer;
}
/*------------FOOTER-----------*/
.footer {
  padding: 30px 0;
}
.footer-container {
  display: flex;
  /* justify-content: space-between; */
  flex-direction: column;
  gap: 14px;
}

.footer-text {
  font-size: 14px;
}

.footer-desc {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.footer-address {
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer-item:first-child::after {
  content: '•';
  margin-left: 8px;
  color: var(--text);
}

.footer-contacts {
  color: var(--text);
  font-size: 14px;
}

/*---------------------------------
------------BACKDROP-----------
---------------------------------
--------------------------------- */
.backdrop {
  position: fixed;
  width: 100%;
  height: 100%;
  background: var(--modal);
  top: 0;
  transition:
    opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal {
  position: absolute;
  width: 290px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1);
  border-radius: 4px;
  background-color: var(--text);
  box-shadow:
    0px 2px 1px 0px rgba(0, 0, 0, 0.2),
    0px 1px 3px 0px rgba(0, 0, 0, 0.12),
    0px 1px 1px 0px rgba(0, 0, 0, 0.14);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  padding: 72px 16px 24px 16px;
}
.backdrop.is-hidden .modal {
  transform: translate(-50%, -50%) scale(0);
}
.modal-close-btn {
  position: absolute;
  top: 24px;
  right: 24px;
  font-size: 18px;
  font-weight: 600;
  width: 24px;
  height: 24px;
  border: 1px solid var(--text);
  border-radius: 50%;
  background-color: var(--grey);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--grey);
    background-color: var(--element-background);
  }
}

.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.modal-title {
  color: var(--dark-background);
  text-align: center;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  margin-bottom: 16px;
}

.modal-field {
  margin-bottom: 16px;
}
.modal-form-title {
  color: #8e8f99;
  font-family: inherit;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  margin-bottom: 4px;
  display: block;
}
.modal-form-input {
  width: 90%;
  display: block;
  font-family: inherit;
  font-size: 12px;
  line-height: 1.7;
  letter-spacing: 0.04em;
  background-color: transparent;
  border-radius: 4px;
  border: 1px solid var(--modal);
  padding: 8px 0 8px 38px;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal-form-input:focus {
  border-color: var(--grey-border-color);
}

.modal-btn {
  display: block;
  color: var(--text);
  font-family: inherit;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  border: none;
  letter-spacing: 0.04em;
  background-color: var(--primary-btn);
  cursor: pointer;
  min-width: 169px;
  border: none;
  border-radius: 4px;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  padding: 16px 32px;
  margin: 0 auto;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  &:hover,
  &:focus {
    color: var(--white);
    background-color: var(--presssed-state);
  }
}
